Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVImportColumnToGraphPropertyMapping Class Reference

Interface to perform mapping between CSV columns and graph properties during the CSV import process. More...

`#include <CSVGraphImport.h>`

Inheritance diagram for tlp::CSVImportColumnToGraphPropertyMapping:
[legend]

List of all members.

## Public Member Functions

- virtual ~CSVImportColumnToGraphPropertyMapping ()
- virtual tlp::PropertyInterface * getPropertyInterface (unsigned int column, const std::string &token)=0
    Return the property corresponding to the column index.

## Detailed Description

Interface to perform mapping between CSV columns and graph properties during the CSV import process.

## Constructor & Destructor Documentation

virtual tlp::CSVImportColumnToGraphPropertyMapping::~CSVImportColumnToGraphPropertyMapping | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual tlp::PropertyInterface* tlp::CSVImportColumnToGraphPropertyMapping::getPropertyInterface | ( | unsigned int | column,
|  | const std::string & | token
| ) |  | `[pure virtual]`

Return the property corresponding to the column index.

Parameters:

  column | The index of the column.
  token | The current token. May be needed to determine column data type.

The token parameter is used to guess property type if needed.

Implemented in tlp::CSVImportColumnToGraphPropertyMappingProxy.

Tulip Software by LaBRI Visualization Team 2001 - 2012